Page MenuHomePhabricator

Improve font changer implementation that is currently in beta.
Closed, DuplicatePublic

Description

@Florian @Jdlrobson @phuedx

I've noticed what this does internally is set up style attributes on the p tags on the article content.

This results in not all the font sizes being smaller (infobox, etc), but only some text paragraphs:

I think a better implementation would be setting a font-size of 70% on the body or if we don't want the whole UI to change on #bodyContent so that it only affects the content.

This is the #bodyContent { font-size: 70% }:

As you can see it scales all the content very nicely since we're not using fixed pixels anywhere (which btw is awesome).

@Florian I loved that reseting to 100% didn't do anything weird like setting the ps with style='font-size: 100%;'. Very nice touch!

My recommendation would be to set it on body so that the font changes affect to all UI elements (let's think you want it bigger or smaller, you probably also want the menu to be bigger or smaller), but I'm open to setting it on #mw-mf-page-center for the whole UI minus the menu or #bodyContent for only the article content.

Opinions? This is very nice!

Some screenshots:

Whole UI at my preferred 70%:


Whole UI with menu at my preferred 70%:

For comparison this are the 100% sizes:

Same changes apply to making everything bigger to see better or vision problems (120% for example):

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: MobileFrontend.
Jdlrobson added subscribers: Jdlrobson, phuedx, Florian.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2015, 7:45 PM

^ @Jhernandez - backlog? sprint? leave here?

Jdlrobson updated the task description. (Show Details)Aug 18 2015, 9:10 PM
Jhernandez triaged this task as High priority.Aug 19 2015, 9:24 AM

@Jdlrobson Let's leave it in the backlog, sprint is pretty packed. Also this way we give @Florian time to check it and give his opinion and decide if he wants to tackle it.

Jdlrobson lowered the priority of this task from High to Low.Sep 23 2015, 7:06 PM

I've merged this into the parent as this was probably created very prematurely (not even I can recall what this is about)

phuedx removed a subscriber: phuedx.Apr 19 2017, 5:11 AM